Qt 5.11 | Qt Location | C++ Classes | QPlaceMatchRequest

Qt 5.11.3 Reference Documentation

# QPlaceMatchRequest Class

The QPlaceMatchRequest class is used to find places from one manager that match those from another. It represents a set of request parameters. More...

Header: | #include <QPlaceMatchRequest>
qmake: | QT += location
Since: | Qt 5.6

- List of all members, including inherited members

## Public Functions

| QPlaceMatchRequest()
| QPlaceMatchRequest(const QPlaceMatchRequest &other)
| ~QPlaceMatchRequest()
void | clear()
QVariantMap | parameters() const
QList<QPlace> | places() const
void | setParameters(const QVariantMap &parameters)
void | setPlaces(const QList<QPlace> places)
void | setResults(const QList<QPlaceSearchResult> &results)
bool | operator!=(const QPlaceMatchRequest &other) const
QPlaceMatchRequest & | operator=(const QPlaceMatchRequest &other)
bool | operator==(const QPlaceMatchRequest &other) const

## Static Public Members

const QString | AlternativeId

## Detailed Description

The QPlaceMatchRequest class is used to find places from one manager that match those from another. It represents a set of request parameters.

Places from another manager that may have corresponding/matching places in the current manager are assigned using setPlaces() or setResults(). A set of further parameters are specified which determines the criteria for matching.

The typical key for matching is the QPlaceMatchRequest::AlternativeId, the value is an alternative identifier attribute type of the format x_id_<provider name> for example x_id_here. The provider name is name supplied to the QGeoServiceProvider instance.

See Matching places between managers for an example on how to use a match request.

See also QPlaceMatchReply and QPlaceManager.

## Member Function Documentation

### QPlaceMatchRequest::QPlaceMatchRequest()

Default constructor. Constructs a new request object.

### QPlaceMatchRequest::QPlaceMatchRequest(const QPlaceMatchRequest &other)

Constructs a copy of other.

### QPlaceMatchRequest::~QPlaceMatchRequest()

Destroys the request object.

### void QPlaceMatchRequest::clear()

Clears the match request.

### QVariantMap QPlaceMatchRequest::parameters() const

Returns the parameters for matching places.

See also setParameters().

### QList<QPlace> QPlaceMatchRequest::places() const

Returns a list of places which are to be matched.

See also setPlaces().

### void QPlaceMatchRequest::setParameters(const QVariantMap &parameters)

Sets the parameters for matching places.

See also parameters().

### void QPlaceMatchRequest::setPlaces(const QList<QPlace> places)

Sets a list of places which are to be matched.

See also places() and setResults().

### void QPlaceMatchRequest::setResults(const QList<QPlaceSearchResult> &results)

Convenience function which uses a set of search results to set the places which should be matched.

See also setPlaces().

### bool QPlaceMatchRequest::operator!=(const QPlaceMatchRequest &other) const

Returns true if other is not equal to this match request, otherwise returns false.

### QPlaceMatchRequest &QPlaceMatchRequest::operator=(const QPlaceMatchRequest &other)

Assigns other to this search request and returns a reference to this match request.

### bool QPlaceMatchRequest::operator==(const QPlaceMatchRequest &other) const

Returns true if other is equal to this match request, otherwise returns false.

## Member Variable Documentation

### const QString QPlaceMatchRequest::AlternativeId

The key to specify that matching is to be accomplished via an alternative place identifier.